# Swoosh Mailinator

This project is an adapter for swoosh that relais any email to the Mailinator.com SMTP server, no mater the internet domain of the recipient.

This service provide no encryption in transit (SSL/TLS) nor authentication.

This service provide public access to mailboxes.

Don't use this adapter for confidential information.

Use for tests only.

## Installation

This module can be installed by adding `swoosh_mailinator` to your list of dependencies in `mix.exs`:

```elixir
def deps do
  [
    {:swoosh_mailinator, "~> 0.1.0", git: "https://git.zoocoop.com/setop/swoosh_mailinator"}
  ]
end
```


## Usage

```elixir
# config/config.exs
config :sample, Sample.Mailer,
  adapter: Swoosh.Adapters.Mailinator

# lib/sample/mailer.ex
defmodule Sample.Mailer do
  use Swoosh.Mailer, otp_app: :sample
end
```

see also [test/swoosh_mlntr.exs](test/swoosh_mlntr.exs)
